Skip to main content

Retrieve a job listing

Important

The base URL here is https://api.flatchr.io

Request

You can retrieve a job listing using the following request:

GET /vacancy/{vacancyId}

Parameters

ParameterInTypeRequiredDescriptionExample
vacancyIdpathstring
✔️
Listing identifierWy3EOp2NP3p1KMq8
fieldsquerystringOptional informationaddress

Fields

Below is the list of fields you can add to retrieve information related to the listing. Fields are separated by commas, without spaces.

NameDescription
addressReturns the address object of the listing
tagsReturns tags associated with the listing
questionsQuestions linked to the listing
faqsFAQ for the listing
benefitsBenefits

Request example

cURL request
curl -X GET https://api.flatchr.io/vacancy/Wy3EOp2NP3p1KMq8

Response

NameTypeDescription
idstringUnique job listing identifier
vacancy_idintegerListing ID
slugstringURL slug of the listing
referencestringListing reference
titlestringListing title
descriptionstringListing description
experienceintegerRequired experience (see experience)
missionstringJob mission description
profilestringRequired profile for the position
salarystringOffered salary
statusintegerListing status
languagestringListing language
contract_type_idintegerContract type ID
education_level_idintegerEducation level required ID
activity_idintegerActivity ID (see activities)
channel_idintegerDistribution channel ID (see channels)
metier_idintegerJob category ID (see metiers)
company_idintegerCompany ID
mensualityenum (y,m,d,h)Salary payment frequency (year, month, day, hour)
apply_urlNullURL to apply for the listing
currencystringSalary currency
created_atstringListing creation date
updated_atstringListing last update date
start_dateNullContract start date
end_dateNullContract end date
driver_licensebooleanWhether a driving license is required
remoteenumRemote work ("notime", "parttime", "fulltime")
handicapbooleanWhether the position is open to people with disabilities
partialbooleanWhether the position is part-time
meta_titleNullSEO meta title
meta_descriptionNullSEO meta description
meta_tagsNullSEO meta tags
optionsObject optionsListing options for display on career sites
kanbanbooleanWhether the listing uses Kanban
slug_mailstringEmail slug
address if present in fieldsObject addressFull address information for the listing
tags if present in fieldsObject tagTags

Response example

View example
{
"id": "Wy3EOp2NP3p1KMq8",
"vacancy_id": 1950,
"slug": "v41qg9ejqvpk6xev-annonce",
"reference": "TAP_test",
"title": "Fullstack Developer",
"description": "<p>XXXXXXX</p>",
"experience": 2,
"mission": "<p>XXXXX</p>",
"salary": "0",
"status": 1,
"language": "fr_FR",
"contract_type_id": 1,
"education_level_id": 3,
"activity_id": 16,
"channel_id": 2,
"metier_id": 44,
"company_id": 59,
"mensuality": "y",
"apply_url": null,
"currency": "EUR",
"created_at": "2023-05-31T08:27:15.912Z",
"updated_at": "2023-07-13T13:29:33.853Z",
"start_date": null,
"end_date": null,
"driver_license": false,
"remote": "partime",
"handicap": false,
"partial": false,
"meta_title": null,
"meta_description": null,
"meta_tags": null,
"options": {
"required": ["email", "resume", "motivation"],
"optionals": ["phone", "social_links"],
"desactivated": ["indeed"],
"motivationType": "text"
},
"kanban": true,
"slug_mail": "vpjx6v",
"tags": [
{
"id": "V41QG9ejLPpK6Xev",
"tag_id": 2694,
"company_id": 99,
"title": "Tech",
"values": "",
"multiple": false,
"creatable": false,
"folder": false,
"type": "vacancies",
"position": 9
}
]
}